acedSSSetFirst选择集夹点亮显实例

作者: admin 分类: C++,CAD,ObjectARX 发布时间: 2020-08-05 20:16
ads_name ss;
//执行预选 好像可以无视PICKSTYLE变量
if (RTNORM != acedSSGet(_T("I"), NULL, NULL, NULL, ss))
{
//预选失败执行手动选择
if (RTNORM != acedSSGet(NULL, NULL, NULL, NULL, ss))
{
return;
}
}
Adesk::Int32 nLength = 0;
acedSSLength(ss, &nLength);
acutPrintf(_T("\n共选择了%d个对象!"), nLength);
//亮显对象
acedSSSetFirst(ss, NULL);
//acedCommand(RTSTR,_T("select"),RTPICKS,ss,RTSTR,_T(""),RTNONE);
//acedCommand(RTSTR,_T("pselect"),RTPICKS,ss,RTSTR,_T(""),RTNONE);
acedSSFree(ss);

1157760-20190428145748806-305687087.png

注:添加命令需要添加  ACRX_CMD_USEPICKSET | ACRX_CMD_REDRAW

https://www.cnblogs.com/edata/p/10784033.html


如果觉得我的文章对您有用,请随意赞赏。您的支持将鼓励我继续创作!

发表评论

标签云